Bug 4785 - [UPDATE REQUEST] nvidia340 340.65-2
: [UPDATE REQUEST] nvidia340 340.65-2
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-12 16:48 MSK by Eugene Shatokhin
Modified: 2014-12-16 11:55 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-12-12 16:48:59 MSK
The driver packages should not set/remove 'nomodeset' themselves because XFdrake already handles this. If both XFdrake and the driver packages meddle with 'nomodeset', conflicts are possible.
Comment 1 Eugene Shatokhin 2014-12-12 17:02:35 MSK
Advisory:
The driver packages no longer set and remove 'nomodeset' boot option themselves because XFdrake handles this already. Before this update, conflicts over 'nomodeset' were possible between XFdrake and the driver packages.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2365406
x86_64:
https://abf.rosalinux.ru/build_lists/2365407
Comment 2 Eugene Shatokhin 2014-12-12 17:24:01 MSK
Hints for testing.

Please test also the following scenario. At start, the system uses nouveau, nvidia340 is not installed.

1. Set up nvidia340 (the version 340.65-1 from the repositories) with XFdrake.
2. Use XFdrake to switch to nouveau again. Do not remove the packages with nvidia340.
3. Add the container from this update request, perform the update. Version 340.65-2 of nvidia340 will be installed. The system, however is set up to use nouveau, OK.
4. Reboot, check if the graphics works OK with nouveau.

Before this fix, an update of nvidia340 would set 'nomodeset' unconditionally and that would break nouveau.
Comment 3 Vladimir Potapov 2014-12-15 20:50:21 MSK
nvidia340-340.65-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365406/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365407/x86_64/non-free/release/
******************************** Advisory ************************
The driver packages no longer set and remove 'nomodeset' boot option themselves because XFdrake handles this already. Before this update, conflicts over 'nomodeset' were possible between XFdrake and the driver packages.
******************************************************************
QA Verified